/* variables */
:root{
    --primary: #E757F4;
    --secondary: #161212;
    --tertiary: #F98A24;
}

/* reset */
body,p,a,ul,li{
    margin:0;
    padding:0;
    text-decoration: none;
}
li{
    list-style-type:none;
}

/* base styles */
html{
    scroll-behavior: smooth;
}

body{
    background: var(--secondary);
    overflow-x: hidden;
    font-family: 'Rubik Regular';
}
.button{
    background: none;
    border: 2px solid var(--tertiary);
    color: var(--tertiary);
    padding: 6px 12px;
    border-radius: 20px;
    text-transform: uppercase;
    box-shadow: 1px 2px 3px rgba(0, 0, 0, 0.6);
    display: inline-block;
}
.button:hover{
    color: #222;
    background: var(--tertiary);
}
input,textarea{
    background: rgba(255,255,255,0.05);
    padding:10px 16px;
    border-radius: 20px;
    border: 2px solid #F98A24;
    color: #F5BF61
}

/* fonts */
@font-face{
    font-family: 'Rubik Regular';
    src: url("assets/fonts/Rubik-Regular.ttf")
}
p,a,li{
    color: #ffffff;
}
h1,h3{
    font-size: 1.2em;
    font-weight:normal;
    color: #ffffff;
}
h2{
    font-size: 1.6em;
    font-weight:normal;
    color: #77fbfd;
}
h4{
    font-size: 1.1em;
    font-weight:normal;
    color: #dddbff;
}
.leading{
    font-size: 1.1em;
}

/* mobile styles */
.grid{
    display:grid;
    grid-template-columns: repeat(8, 1fr);
    gap: 10px
}
.site-nav{
    margin: 0 20px;
}
.site-nav ul{
    display: none;
}
.site-nav h1{
    grid-column: 1/4;
    grid-row: 1;
    padding-bottom: 10px;
    border-bottom: 3px solid var(--primary);
    display: inline-block;
    position: next
}
#welcome{
    padding: 0 20px 20px 20px;
}
.welcome-text{
    grid-column: 1/6;
}
.welcome-img{
    grid-column: 6/9;
}
.welcome-img img{
    width: 200%;
}
.welcome-text a{
    margin: 20px 0;
}
#experience{
    background: url(assets/square_bg.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: bottom;
    padding: 30px 20px;
}
#experience h3{
    margin-bottom: 0;
    text-align: center;
}
.experience a{
    grid-column: 1/9;
    margin: 20px 0;
    display: flex;
}
.experience a *{
    margin: 0 20px;
    max-width: 40%;
    align-self: center;
}
.experience h4{
    color: #ffffff;
}
#resume{
    padding: 30px 20px;
    text-align: center;
    background: #111111;
    font-size: 1.2em;
}
#skills{
    padding: 30px 20px;
    background: #111111;
}
#skills h3{
    text-align: center;
}
#skills ul{
    margin: 40px 0;
}
#skills li{
    padding: 10px;
    background: rgba(0,0,0,0.2);
    grid-column: span 4;
    text-align: center;
}
#skills img{
    height: 80px;
    margin: 10px auto;
}
#contact{
    padding: 30px 20px;
    background: #111111;
}
#contact h3, #contact p{
    text-align: center;
    margin-bottom: 0;
}
#contact form{
    width: 80%;
    max-width: 400px;
    margin: 20px auto;
    text-align: center;
}
#contact input, #contact textarea{
    width: 100%;
    margin: 10px 0;
}
#contact .button{
    margin-top: 10px;
}
footer{
    padding: 30px 20px;
    background-color: #181616;
    background-image: url(assets/footer_image.png);
    background-size: 40%;
    background-repeat: no-repeat;
    background-position: top center;
}
footer .copyright{
    grid-column: 1/3;
    font-size: 0.8em;
}
footer .social{
    grid-column: 7/9;
    display: flex;
    justify-content: flex-end;
}

footer li{
    margin: 0 6px;
}
footer img{
    width: 20px;
}

/* small tablet styles */
@media screen and (min-width: 620px){
    .welcome-text{
        grid-column: 1/5;
    }
    .welcome-img{
    grid-column: 5/9;
    }
    .welcome-img img{
        width: 100%;
    }
    .experience{
        margin-top: 40px;
    }
    .experience a{
        grid-column: span 4;
        display: block;
        margin: 20px 0;
    }
    .experience a:last-child{
        grid-column: 3/7;
    }
    .experience a *{
        max-width: 60%;
        margin: 10px 20%;
    }
    .experience h4{
        text-align: center;
    }#skills{
        padding: 30px 100px;
    }
    footer{
        background-size: 20%;
    }

}

/* large tablets & laptop styles */
@media screen and (min-width: 960px){

    body{
        font-size: 18px;
    }
    .grid{
        width: 100%;
        max-width: 1060px;
        margin: 0 auto;
        box-sizing: border-box;
    }
    .leading{
        margin: 20px 0;
    }
    .site-nav{
        padding: 0 20px;
    }
    .site-nav h1{
        grid-column: 1/3;
    }
    .site-nav ul{
        display: flex;
        grid-column: 6/9;
        justify-content: flex-end;
        align-self: center;
    }
    .site-nav li{
        margin-left: 20px;
    }
    .welcome-text{
        align-self: center;
    }
    #welcome{
        padding-bottom: 40px;
    }
    .experience a:nth-child(1){
        grid-column: 2/4;
    }
    .experience a:nth-child(2){
        grid-column: 4/6;
        padding-top: 140px
    }
    .experience a:nth-child(3){
        grid-column: 6/8;
    }
    .experience a *{
        max-width: 80%;
        margin: 10px 10%;
    }
    #skills{
        padding: 30px 20px;
    }
    #skills ul{
       margin: 40px auto; 
    }
    #skills li{
        grid-column: span 2;
    }
    footer{
        padding: 40px 20px;
        background-size: 25%;
    }
}

/* desktop styles */
@media screen and (min-width: 1200px){
    
    body{
        font-size: 20px;
    }
    #welcome, #experience, #skills, #contact{
        padding: 90px 0;
    }
    .experience a:nth-child(1){
        grid-column: 1/3;
    }
    .experience a:nth-child(3){
        grid-column: 7/9;
    }
    .experience a *{
        max-width: 100%;
        margin: 30px 0%;
    }
    footer{
        padding: 80px 0;
        background-size: 30%;
    }
    footer img{
        width: 30px;
    }
}

